# ***********************************************
# IGSのサイトよりGPSの放送暦を取得するスクリプト
# 指定した日付の放送暦を1つダウンロードします。
# 
# [開発者]　K. Morishita (Kumamoto-univ. @2012-10)
#
# ダウンロード数が多い場合は、より便利なGet_IGS_ephemerides.rbのご利用をお勧めします。
# ご入り用の際は、森下までメールでご連絡ください。
# ----------------------------
# tab size: 4
# ***********************************************

require 'net/ftp'

ftp = Net::FTP.new
ftp.connect('cddis.gsfc.nasa.gov')
ftp.login('anonymous', 'hoge@hoge')						#　利用者のメールアドレスを記入のこと
ftp.binary = true
#ftp.chdir('[アップロード先のパス]')
#ftp.put('[アップロードするファイルのローカルパス+ファイル名]', '[アップロード先のファイル名]')
ftp.chdir('gps/data/daily/2010/010/10n')				# 2010-10-10の放送暦を指定しています
files = ftp.list('brdc*.Z')								#　該当ファイルのチェック（結果は配列として返る）
p files
ftp.getbinaryfile("brdc0100.10n.Z", "brdc0100.10n.Z")	#　第一引数がリモート側で保存するファイル名、第二引数はホスト側のダウンロードしたいファイルの名前
ftp.quit												#　FTPを切断

